org.keycloak.protocol.oidc

## Class TokenManager.AccessTokenResponseBuilder

- java.lang.Object
- - org.keycloak.protocol.oidc.TokenManager.AccessTokenResponseBuilder

- Enclosing class:
    TokenManager

      public class TokenManager.AccessTokenResponseBuilder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessTokenResponseBuilder(RealmModel realm, ClientModel client, EventBuilder event, KeycloakSession session, UserSessionModel userSession, ClientSessionContext clientSessionCtx)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TokenManager.AccessTokenResponseBuilder` | `accessToken(AccessToken accessToken)`
    `AccessTokenResponse` | `build()`
    `TokenManager.AccessTokenResponseBuilder` | `generateAccessToken()`
    `TokenManager.AccessTokenResponseBuilder` | `generateAccessTokenHash()`
    `TokenManager.AccessTokenResponseBuilder` | `generateCodeHash(String code)`
    `TokenManager.AccessTokenResponseBuilder` | `generateIDToken()`
    `TokenManager.AccessTokenResponseBuilder` | `generateRefreshToken()`
    `TokenManager.AccessTokenResponseBuilder` | `generateStateHash(String state)`
    `AccessToken` | `getAccessToken()`
    `IDToken` | `getIdToken()`
    `RefreshToken` | `getRefreshToken()`
    `TokenManager.AccessTokenResponseBuilder` | `refreshToken(RefreshToken refreshToken)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessTokenResponseBuilder

          public AccessTokenResponseBuilder(RealmModel realm,
                                            ClientModel client,
                                            EventBuilder event,
                                            KeycloakSession session,
                                            UserSessionModel userSession,
                                            ClientSessionContext clientSessionCtx)

  - ### Method Detail

    - #### getAccessToken

          public AccessToken getAccessToken()

    - #### getRefreshToken

          public RefreshToken getRefreshToken()

    - #### getIdToken

          public IDToken getIdToken()

    - #### accessToken

          public TokenManager.AccessTokenResponseBuilder accessToken(AccessToken accessToken)

    - #### refreshToken

          public TokenManager.AccessTokenResponseBuilder refreshToken(RefreshToken refreshToken)

    - #### generateAccessToken

          public TokenManager.AccessTokenResponseBuilder generateAccessToken()

    - #### generateRefreshToken

          public TokenManager.AccessTokenResponseBuilder generateRefreshToken()

    - #### generateIDToken

          public TokenManager.AccessTokenResponseBuilder generateIDToken()

    - #### generateAccessTokenHash

          public TokenManager.AccessTokenResponseBuilder generateAccessTokenHash()

    - #### generateCodeHash

          public TokenManager.AccessTokenResponseBuilder generateCodeHash(String code)

    - #### generateStateHash

          public TokenManager.AccessTokenResponseBuilder generateStateHash(String state)

    - #### build

          public AccessTokenResponse build()

Copyright © 2021 JBoss by Red Hat. All rights reserved.